import { WalletConnectConnectorArguments } from 'src/connectors/WalletConnectConnector';
import { Wallet, activeFunctionType } from './wallet';
export declare class GnosisSafeWallet extends Wallet {
    private isInSafe;
    private triedSafe;
    constructor();
    showWallet(): boolean;
    installed(): boolean;
    tryActivation({ activate, onSuccess, onError, }: {
        activate: activeFunctionType;
        onSuccess?: () => void;
        onError?: (error: unknown) => Promise<void>;
    }): Promise<void>;
}
export declare class CoinbaseWallet extends Wallet {
    private isCbWalletDappBrowser;
    private isWalletlink;
    private isCbWallet;
    constructor();
    showWallet(): boolean;
    installed(): boolean;
}
export declare class WalletConnectWallet extends Wallet {
    /**
     *
     * @param projectId Your projectId from WalletConnect
     * @param rpcMap Supported chains mapping with rpc url
     * @param metadata Your project metadata
     */
    constructor(config: WalletConnectConnectorArguments);
    showWallet(): boolean;
    installed(): boolean;
}
